Bug 1122325 - Review Request: mingw-libtheora - Theora Video Compression Codec
Summary: Review Request: mingw-libtheora - Theora Video Compression Codec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 970407 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 00:19 UTC by František Dvořák
Modified: 2016-08-14 16:27 UTC (History)
4 users (show)

Fixed In Version: mingw-libtheora-1.1.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-16 00:32:58 UTC
amigadave: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2014-07-23 00:19:57 UTC
Spec URL: http://scientific.zcu.cz/fedora/mingw-libtheora-1.1.1-1/mingw-libtheora.spec
SRPM URL: http://scientific.zcu.cz/fedora/mingw-libtheora-1.1.1-1/mingw-libtheora-1.1.1-1.fc22.src.rpm
Description: Theora is Xiph.Org's first publicly released video codec, intended for use within the Ogg's project's Ogg multimedia streaming system. Theora is derived directly from On2's VP3 codec; Currently the two are nearly identical, varying only in encapsulating decoder tables in the bitstream headers, but Theora will make use of this extra freedom in the future to improve over what is possible with VP3. This package is MinGW compiled theora codec.
Fedora Account System Username: valtri

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7183157

fedora-review complains about obsolete macros. They are fixed already in upstream SVN trunk, except AM_PROG_LIBTOOL (reported).

Comment 1 František Dvořák 2014-07-23 00:22:28 UTC
*** Bug 970407 has been marked as a duplicate of this bug. ***

Comment 2 David King 2014-08-02 07:59:20 UTC
Package Review
==============

Approved! Would be nice to add an INSTALL="install -p" to the make install invocation, but this is not a requirement.

There is no point including a dependency on SDL, as both SDL and OSS are needed to build an example (just SDL is not sufficient), so the dependency should be removed.

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: mingw32-libtheora : /usr/i686-w64-mingw32/sys-
  root/mingw/include/theora/codec.h mingw32-libtheora : /usr/i686-w64-mingw32
  /sys-root/mingw/include/theora/theora.h mingw32-libtheora :
  /usr/i686-w64-mingw32/sys-root/mingw/include/theora/theoradec.h
  mingw32-libtheora : /usr/i686-w64-mingw32/sys-
  root/mingw/include/theora/theoraenc.h mingw64-libtheora :
  /usr/x86_64-w64-mingw32/sys-root/mingw/include/theora/codec.h
  mingw64-libtheora : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/theora/theora.h mingw64-libtheora :
  /usr/x86_64-w64-mingw32/sys-root/mingw/include/theora/theoradec.h
  mingw64-libtheora : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/theora/theoraenc.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

Fine for mingw packages.

- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: mingw32-libtheora, mingw64-libtheora. Illegal
  package name: mingw32-libtheora, mingw64-libtheora. Does not provide
  -static: mingw32-libtheora, mingw64-libtheora.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

Also fine for mingw packages.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "Unknown or
     generated", "BSD (4 clause)", "LGPL (v2 or later) (with incorrect FSF
     address)", "GPL (v2 or later) (with incorrect FSF address)", "BSD (3
     clause)". 112 files have unknown license. Detailed output of licensecheck
     in /home/david/checkout/rpms/1122325-mingw-libtheora/licensecheck.txt

getopt.h is included, but does not appear to be built, so the BSD license seems fine.

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-libtheora , mingw32-theora-tools , mingw64-libtheora , mingw64
     -theora-tools
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw64-libtheora : /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/theora.pc mingw64-libtheora :
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/theoradec.pc
     mingw64-libtheora : /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/theoraenc.pc mingw32-libtheora :
     /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/theora.pc
     mingw32-libtheora : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/theoradec.pc mingw32-libtheora :
     /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/theoraenc.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-libtheora-1.1.1-1.fc22.noarch.rpm
          mingw32-theora-tools-1.1.1-1.fc22.noarch.rpm
          mingw64-libtheora-1.1.1-1.fc22.noarch.rpm
          mingw64-theora-tools-1.1.1-1.fc22.noarch.rpm
          mingw-libtheora-1.1.1-1.fc22.src.rpm
mingw32-libtheora.noarch: W: spelling-error Summary(en_US) Theora -> Theory, Theodora
mingw32-libtheora.noarch: W: spelling-error %description -l en_US Theora -> Theory, Theodora
mingw32-libtheora.noarch: W: spelling-error %description -l en_US Org's -> Erg's, Ora's, Orr's
mingw32-libtheora.noarch: W: spelling-error %description -l en_US codec -> codex, code, codes
mingw32-libtheora.noarch: W: spelling-error %description -l en_US bitstream -> bit stream, bit-stream, midstream
mingw32-libtheora.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libtheora.dll.a
mingw32-libtheora.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libtheoraenc.dll.a
mingw32-libtheora.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libtheoradec.dll.a
mingw32-libtheora.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/theora.pc
mingw32-libtheora.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/theoradec.pc
mingw32-libtheora.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/theoraenc.pc
mingw32-libtheora.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/theora/theora.h
mingw32-libtheora.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libtheora.dll.a
mingw32-libtheora.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libtheora.dll.a
mingw32-libtheora.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libtheoraenc.dll.a
mingw32-libtheora.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libtheoraenc.dll.a
mingw32-libtheora.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/theora/theoraenc.h
mingw32-libtheora.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/theora/codec.h
mingw32-libtheora.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libtheoradec.dll.a
mingw32-libtheora.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libtheoradec.dll.a
mingw32-libtheora.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/theora/theoradec.h
mingw32-libtheora.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw32-theora-tools.noarch: W: spelling-error %description -l en_US bitstreams -> bit streams, bit-streams, streams
mingw32-theora-tools.noarch: W: no-documentation
mingw32-theora-tools.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-libtheora.noarch: W: spelling-error %description -l en_US Theora -> Theory, Theodora
mingw64-libtheora.noarch: W: spelling-error %description -l en_US Org's -> Erg's, Ora's, Orr's
mingw64-libtheora.noarch: W: spelling-error %description -l en_US codec -> codex, code, codes
mingw64-libtheora.noarch: W: spelling-error %description -l en_US bitstream -> bit stream, bit-stream, midstream
mingw64-libtheora.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libtheoradec.dll.a
mingw64-libtheora.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libtheoraenc.dll.a
mingw64-libtheora.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libtheora.dll.a
mingw64-libtheora.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libtheoradec.dll.a
mingw64-libtheora.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libtheoradec.dll.a
mingw64-libtheora.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/theora/codec.h
mingw64-libtheora.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/theora/theoradec.h
mingw64-libtheora.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/theora.pc
mingw64-libtheora.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/theoradec.pc
mingw64-libtheora.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libtheoraenc.dll.a
mingw64-libtheora.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libtheoraenc.dll.a
mingw64-libtheora.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/theoraenc.pc
mingw64-libtheora.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/theora/theoraenc.h
mingw64-libtheora.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/theora/theora.h
mingw64-libtheora.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libtheora.dll.a
mingw64-libtheora.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libtheora.dll.a
mingw64-libtheora.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw64-theora-tools.noarch: W: spelling-error %description -l en_US bitstreams -> bit streams, bit-streams, streams
mingw64-theora-tools.noarch: W: no-documentation
mingw64-theora-tools.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw-libtheora.src: W: spelling-error Summary(en_US) Theora -> Theory, Theodora
mingw-libtheora.src: W: spelling-error %description -l en_US Theora -> Theory, Theodora
mingw-libtheora.src: W: spelling-error %description -l en_US Org's -> Erg's, Ora's, Orr's
mingw-libtheora.src: W: spelling-error %description -l en_US codec -> codex, code, codes
mingw-libtheora.src: W: spelling-error %description -l en_US bitstream -> bit stream, bit-stream, midstream
5 packages and 0 specfiles checked; 6 errors, 48 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mingw64-theora-tools mingw32-theora-tools mingw64-l 
ibtheora mingw32-libtheora
mingw64-theora-tools.noarch: W: spelling-error %description -l en_US bitstreams -> bit streams, bit-streams, streams
mingw64-theora-tools.noarch: W: no-documentation
mingw32-theora-tools.noarch: W: spelling-error %description -l en_US bitstreams -> bit streams, bit-streams, streams
mingw32-theora-tools.noarch: W: no-documentation
mingw64-libtheora.noarch: W: spelling-error %description -l en_US Theora -> Theory, Theodora
mingw64-libtheora.noarch: W: spelling-error %description -l en_US Org's -> Erg's, Ora's, Orr's
mingw64-libtheora.noarch: W: spelling-error %description -l en_US codec -> codex, code, codes
mingw64-libtheora.noarch: W: spelling-error %description -l en_US bitstream -> bit stream, bit-stream, midstream
mingw32-libtheora.noarch: W: spelling-error Summary(en_US) Theora -> Theory, Theodora
mingw32-libtheora.noarch: W: spelling-error %description -l en_US Theora -> Theory, Theodora
mingw32-libtheora.noarch: W: spelling-error %description -l en_US Org's -> Erg's, Ora's, Orr's
mingw32-libtheora.noarch: W: spelling-error %description -l en_US codec -> codex, code, codes
mingw32-libtheora.noarch: W: spelling-error %description -l en_US bitstream -> bit stream, bit-stream, midstream
4 packages and 0 specfiles checked; 0 errors, 13 warnings.
# echo 'rpmlint-done:'



Requires
--------
mingw64-theora-tools (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(libogg-0.dll)
    mingw64(libpng16-16.dll)
    mingw64(libtheoradec-1.dll)
    mingw64(libtheoraenc-1.dll)
    mingw64(libvorbis-0.dll)
    mingw64(libvorbisenc-2.dll)
    mingw64(msvcrt.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-libtheora

mingw32-theora-tools (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(libogg-0.dll)
    mingw32(libpng16-16.dll)
    mingw32(libtheoradec-1.dll)
    mingw32(libtheoraenc-1.dll)
    mingw32(libvorbis-0.dll)
    mingw32(libvorbisenc-2.dll)
    mingw32(msvcrt.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-libtheora

mingw64-libtheora (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(libogg-0.dll)
    mingw64(libtheoradec-1.dll)
    mingw64(msvcrt.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config

mingw32-libtheora (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(libgcc_s_sjlj-1.dll)
    mingw32(libogg-0.dll)
    mingw32(libtheoradec-1.dll)
    mingw32(msvcrt.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config



Provides
--------
mingw64-theora-tools:
    mingw64-theora-tools

mingw32-theora-tools:
    mingw32-theora-tools

mingw64-libtheora:
    mingw64(libtheora-0.dll)
    mingw64(libtheoradec-1.dll)
    mingw64(libtheoraenc-1.dll)
    mingw64-libtheora

mingw32-libtheora:
    mingw32(libtheora-0.dll)
    mingw32(libtheoradec-1.dll)
    mingw32(libtheoraenc-1.dll)
    mingw32-libtheora



Source checksums
----------------
http://downloads.xiph.org/releases/theora/libtheora-1.1.1.tar.xz :
  CHECKSUM(SHA256) this package     : f36da409947aa2b3dcc6af0a8c2e3144bc19db2ed547d64e9171c59c66561c61
  CHECKSUM(SHA256) upstream package : f36da409947aa2b3dcc6af0a8c2e3144bc19db2ed547d64e9171c59c66561c61


AutoTools: Obsoleted m4s found
------------------------------
  AM_PROG_LIBTOOL found in: libtheora-1.1.1/configure.ac:61
  AM_CONFIG_HEADER found in: libtheora-1.1.1/configure.ac:12


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1122325
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 František Dvořák 2014-08-02 09:10:51 UTC
(In reply to David King from comment #2)
> Package Review
> ==============
> 
> Approved! 

Thanks! :-)

> Would be nice to add an INSTALL="install -p" to the make install
> invocation, but this is not a requirement.
> 

Interresting. This little issue is de-facto standard I guess, but it may good to use it for packages using autotools.

> There is no point including a dependency on SDL, as both SDL and OSS are
> needed to build an example (just SDL is not sufficient), so the dependency
> should be removed.
> 

This is actually funny dependency. SDL itself is not used here, but the m4 file from SDL-devel (native package!) is needed for autotools invocation.

Comment 4 David King 2014-08-02 09:13:45 UTC
(In reply to František Dvořák from comment #3)
> This is actually funny dependency. SDL itself is not used here, but the m4
> file from SDL-devel (native package!) is needed for autotools invocation.

Ah, I guess that you need it because of the autoreconf? In that case, a comment would be nice.

Comment 5 František Dvořák 2014-08-02 10:17:45 UTC
New Package SCM Request
=======================
Package Name: mingw-libtheora
Short Description: Theora Video Compression Codec
Upstream URL: http://www.theora.org
Owners: valtri
Branches: f19 f20 f21 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-08-04 12:24:23 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-08-05 11:35:25 UTC
mingw-libtheora-1.1.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-libtheora-1.1.1-1.fc20

Comment 8 Fedora Update System 2014-08-05 11:37:05 UTC
mingw-libtheora-1.1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-libtheora-1.1.1-1.fc19

Comment 9 Fedora Update System 2014-08-05 12:05:58 UTC
glite-lb-server-3.0.18-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/glite-lb-server-3.0.18-3.fc20

Comment 10 Fedora Update System 2014-08-07 15:25:27 UTC
mingw-libtheora-1.1.1-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-08-16 00:32:08 UTC
mingw-libtheora-1.1.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2014-08-16 00:32:58 UTC
mingw-libtheora-1.1.1-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.